Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaLineBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, ILineBreakpoint

All Known Subinterfaces:
  IJavaMethodBreakpoint, IJavaMethodEntryBreakpoint, IJavaPatternBreakpoint, IJavaStratumLineBreakpoint, IJavaTargetPatternBreakpoint, IJavaWatchpoint

public interface IJavaLineBreakpoint
extends IJavaBreakpoint, ILineBreakpoint

A breakpoint that suspends execution when a particular line of code is reached.

Clients are not intended to implement this interface

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`String` | `getCondition()` Returns the conditional expression associated with this breakpoint, or `null` if this breakpoint does not have a condition.
`boolean` | `isConditionEnabled()` Returns whether the condition on this breakpoint is enabled.
`boolean` | `isConditionSuspendOnTrue()` Returns whether the breakpoint suspends when the value of the condition is `true` or when the value of the condition changes.
`void` | `setCondition(String condition)` Sets the condition associated with this breakpoint.
`void` | `setConditionEnabled(boolean enabled)` Sets the enabled state of this breakpoint's condition to the given state.
`void` | `setConditionSuspendOnTrue(boolean suspendOnTrue)` Set the suspend state of this breakpoint's condition.
`boolean` | `supportsCondition()` Returns whether this breakpoint supports a conditional expression.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Method Detail

### supportsCondition

    public boolean supportsCondition()

  Returns whether this breakpoint supports a conditional expression. Conditional breakpoints only suspend when their associated condition evaluates to `true`.

  Returns:
    whether this breakpoint supports a condition

### getCondition

    public String getCondition()
                        throws CoreException

  Returns the conditional expression associated with this breakpoint, or `null` if this breakpoint does not have a condition.

  Returns:
    this breakpoint's conditional expression, or `null`
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### setCondition

    public void setCondition(String condition)
                      throws CoreException

  Sets the condition associated with this breakpoint. When the condition is enabled, this breakpoint will only suspend execution when the given condition evaluates to `true`. Setting the condition to `null` or an empty string removes the condition.

  If this breakpoint does not support conditions, setting the condition has no effect.

  Parameters:
    `condition` - conditional expression
  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### isConditionEnabled

    public boolean isConditionEnabled()
                               throws CoreException

  Returns whether the condition on this breakpoint is enabled.

  Returns:
    whether this breakpoint's condition is enabled
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker

### setConditionEnabled

    public void setConditionEnabled(boolean enabled)
                             throws CoreException

  Sets the enabled state of this breakpoint's condition to the given state. When enabled, this breakpoint will only suspend when its condition evaluates to true. When disabled, this breakpoint will suspend as it would with no condition defined.

  Throws:
    `CoreException` - if unable to set the property on this breakpoint's underlying marker

### isConditionSuspendOnTrue

    public boolean isConditionSuspendOnTrue()
                                     throws CoreException

  Returns whether the breakpoint suspends when the value of the condition is `true` or when the value of the condition changes.

  Returns:
    `true` if this breakpoint suspends when the value of the condition is `true`, `false` if this breakpoint suspends when the value of the condition changes.
  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker
  Since:
    2.1

### setConditionSuspendOnTrue

    public void setConditionSuspendOnTrue(boolean suspendOnTrue)
                                   throws CoreException

  Set the suspend state of this breakpoint's condition. If the value is `true`, the breakpoint will stop when the value of the condition is `true`. If the value is `false`, the breakpoint will stop when the value of the condition changes.

  Throws:
    `CoreException` - if unable to access the property on this breakpoint's underlying marker
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.